%global shortname access-modifier

Name:           access-modifier-annotation
Version:        1.7
Release:        4%{?dist}
Summary:        Java annotation for custom access modifiers

# License is specified in pom file
License:        MIT
URL:            https://github.com/kohsuke/access-modifier
Source0:        https://github.com/kohsuke/%{shortname}/archive/%{shortname}-%{version}.tar.gz
# License text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.scm:maven-scm-manager-plexus)
BuildRequires:  mvn(org.apache.maven.scm:maven-scm-provider-gitexe)
BuildRequires:  mvn(org.jenkins-ci:annotation-indexer)
BuildRequires:  mvn(org.kohsuke.metainf-services:metainf-services)
BuildRequires:  mvn(org.kohsuke:pom:pom:)
BuildRequires:  mvn(org.ow2.asm:asm-debug-all)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

%description
Allows applications to define custom access modifiers programmatically,
to be enforced at compile time in the opt-in basis. Obviously, 
there's no runtime check either - this is strictly a voluntary annotations.
This mechanism is useful for actually making sure that deprecated features 
are not used (without actually removing such declarations, which would break 
binary compatibility.)

%package -n access-modifier-checker
Summary:        Maven plugin for checking custom access modifiers

%description -n access-modifier-checker
This package contains Maven plugin for checking custom access modifiers.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{shortname}-%{shortname}-%{version}

cp %{SOURCE1} LICENSE

%mvn_package :access-modifier-checker access-modifier-checker

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE
%files -n access-modifier-checker -f .mfiles-access-modifier-checker
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.7-3
- Add missing build-requires

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 29 2015 Michal Srb <msrb@redhat.com> - 1.7-1
- Update to 1.7

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Michal Srb <msrb@redhat.com> - 1.4-6
- Move access-modifier-checker to subpackage

* Mon Jun 08 2015 Michal Srb <msrb@redhat.com> - 1.4-5
- Utilize pom_change_dep

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Initial package

